SitePoint Sponsor

User Tag List

Results 1 to 3 of 3
  1. #1
    SitePoint Enthusiast konsama's Avatar
    Join Date
    Jun 2007
    Location
    Sweden
    Posts
    95
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Unhappy I have PEAR related problems. (The PHP Anthology...)

    I bought this book:
    The PHP Anthology: Object Oriented PHP Solutions Vol. 1
    Author: Harry Fuecks

    I'm having trouble following the PEAR chapter on p.359 where you install HTML_Quickform. I'm using Linux Ubuntu 6.06.
    Code:
    mike@sanka:~$ pear install HTML_Quickform
    WARNING: "pear/HTML_QuickForm" is deprecated in favor of "pear/HTML_QuickForm2"
    Cannot install, php_dir for channel "pear.php.net" is not writeable by the current user
    mike@sanka:~$ pear install HTML_Quickform2
    Failed to download pear/HTML_Quickform2 within preferred state "stable", latest release is version 0.1.0, stability "alpha", use "channel://pear.php.net/HTML_Quickform2-0.1.0" to install
    Cannot initialize 'channel://pear.php.net/HTML_Quickform2', invalid or missing package file
    Package "channel://pear.php.net/HTML_Quickform2" is not valid
    install failed
    mike@sanka:~$ sudo pear install HTML_Quickform2
    Password:
    Failed to download pear/HTML_Quickform2 within preferred state "stable", latest release is version 0.1.0, stability "alpha", use "channel://pear.php.net/HTML_Quickform2-0.1.0" to install
    Cannot initialize 'channel://pear.php.net/HTML_Quickform2', invalid or missing package file
    Package "channel://pear.php.net/HTML_Quickform2" is not valid
    install failed
    mike@sanka:~$
    What should I do now? Alpha stability that's dangerous in the hands of a newbie right. Shouldn't I stick with the books recommended HTML_Quickform version 1?

  2. #2
    SitePoint Enthusiast konsama's Avatar
    Join Date
    Jun 2007
    Location
    Sweden
    Posts
    95
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Unhappy

    I'm guessing that I'll have to lower my PEAR stability settings to Alpha. In that case how do I accomplish that all my attempts seems to fail
    http://www.sitepoint.com/article/get...ed-with-pear/3

    Code:
    mike@sanka:~$ pear config-help preferred_state
    Config help for preferred_state
    ===============================
    Name            Type Description
    preferred_state set  the installer will prefer releases
                         with this state when installing
                         packages without a version or
                         state specified
                         Valid set: stable beta alpha devel
                         snapshot
    mike@sanka:~$ pear set preferred_state
    Command 'set' is not valid, try 'pear help'
    mike@sanka:~$ pear alpha preferred_state
    Command 'alpha' is not valid, try 'pear help'
    mike@sanka:~$ pear set preferred_state alpha
    Command 'set' is not valid, try 'pear help'
    mike@sanka:~$ pear preferred_state alpha
    Command 'preferred_state' is not valid, try 'pear help'
    mike@sanka:~$ pear preferred_state set alpha
    Command 'preferred_state' is not valid, try 'pear help'
    mike@sanka:~$
    mike@sanka:~$ pear config set preferred_state alpha
    Command 'config' is not valid, try 'pear help'
    mike@sanka:~$ pear config set preferred_state set
    Command 'config' is not valid, try 'pear help'
    mike@sanka:~$ pear set preferred_state set
    Command 'set' is not valid, try 'pear help'
    mike@sanka:~$

  3. #3
    SitePoint Enthusiast konsama's Avatar
    Join Date
    Jun 2007
    Location
    Sweden
    Posts
    95
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    solved it got some help elsewhere on the net.


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •